Package org.globus.gsi.gridmap

# Class GridMapLocal

java.lang.Object
org.globus.gsi.gridmap.GridMap
org.globus.gsi.gridmap.GridMapLocal

All Implemented Interfaces:
  `Serializable`

public class GridMapLocal extends GridMap
Gridmap implementation with a local username lookup feature. If the gridmap is uninitialized the `getUserID`, `getUserIDs`, and `checkUser` functions will effectively ignore their `globusID` parameter. For example, `getUserID` and `getUserIDs` will return the local user name for any `globusID`.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.globus.gsi.gridmap.GridMap

`map`

## Constructor Summary

Constructors
Constructor
Description
`GridMapLocal()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkUser(String globusID, String userID)`
Checks if a given globus ID is associated with given local user account.
`String[]`
`getUserIDs(String globusID)`
Returns local user names mapped to the specified globusID.

### Methods inherited from class org.globus.gsi.gridmap.GridMap

`getAllGlobusID, getDefaultGridMapLocation, getFileName, getGlobusID, getIgnoreErrors, getUserID, load, load, load, map, normalizeDN, refresh, setIgnoreErrors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GridMapLocal

public GridMapLocal()

## Method Details

### getUserIDs

public String[] getUserIDs(String globusID)
Description copied from class: `GridMap`
Returns local user names mapped to the specified globusID.

Overrides:
  `getUserIDs` in class `GridMap`
Parameters:
  `globusID` - globusID
Returns:
  array of local user names for the specified globusID. Null if the globusID is not mapped to any local user name.

### checkUser

public boolean checkUser(String globusID, String userID)
Description copied from class: `GridMap`
Checks if a given globus ID is associated with given local user account.

Overrides:
  `checkUser` in class `GridMap`
Parameters:
  `globusID` - globus ID
  `userID` - userID
Returns:
  true if globus ID is associated with given local user account, false, otherwise.